Overview
Complete API reference for the Blaaiz Platform API
Welcome to the Blaaiz Platform API reference documentation. This section provides detailed information about all available API endpoints, request/response formats, and integration examples.
Base URL
Production:
https://api-prod.blaaiz.comSandbox:
https://api-dev.blaaiz.comAuthentication
All external API requests require a Bearer access token.
- Generate your OAuth credentials from API & Webhooks in the Blaaiz dashboard.
- Exchange them at
POST /oauth/tokenusinggrant_type=client_credentialsand the scopes assigned to your credentials. - Include the returned token in your request headers:
Authorization: Bearer YOUR_ACCESS_TOKENOAuth credentials are generated from the API & Webhooks page in the Blaaiz dashboard after API Services have been enabled for your account. Development and production use different credentials.
Legacy API key creation is disabled, and legacy API key support will end soon. New integrations should use OAuth only.
See Getting Started and Authentication for the full access steps.
Available endpoints
The Blaaiz RaaS API provides the following endpoint categories:
- Virtual Bank Account - Create and manage virtual bank accounts for collections
- Bank - Retrieve bank information and perform account lookups
- Payout - Initiate payouts to customers
- Fees - Get fee breakdowns for transactions
- Rate - Retrieve exchange rates
- Currency - Retrieve supported currencies
- Wallet - Manage your business wallets
- Collection - Initiate and manage collections
- Swap - Swap funds between your business wallets
- Crypto - Create crypto wallets, read crypto data, swap wallet balances, and send on-chain crypto payouts
- File - Upload customer documents
- Transaction - List and retrieve transaction details
- Customer - Create and manage customers (both
type=individualwith KYC andtype=businesswith KYB), their KYC/KYB data, beneficial owners, and KYB document collections - Webhook - Configure and manage webhook URLs
Signa has its own section. It lets you verify the identity of your own customers with verification sessions. See the Compliance tab for its guides and its endpoints.
Response format
All API responses are returned in JSON format. Successful responses will include the requested data, while error responses will include a message key with details about the error.
Rate limits
External API endpoints are rate limited to 120 requests per minute and 1,500 requests per hour. See Rate and usage limits for more details.